import type { EnvFieldType } from './schema.js';
export type ValidationResultValue = EnvFieldType['default'];
export type ValidationResultErrors = ['missing'] | ['type'] | Array<string>;
type ValidationResult = {
    ok: true;
    value: ValidationResultValue;
} | {
    ok: false;
    errors: ValidationResultErrors;
};
export declare function getEnvFieldType(options: EnvFieldType): string;
export declare function validateEnvVariable(value: string | undefined, options: EnvFieldType): ValidationResult;
export {};
